API ReferenceTemplates
Create Template
Authorization
apiKey X-API-Key<token>
API key for authentication
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://samva.app/api/v1/templates" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "slug": "string", "supportedChannels": [ "string" ], "content": {} }'{
"id": "string",
"organizationId": "string",
"name": "string",
"slug": "string",
"description": "string",
"category": "string",
"supportedChannels": [
"string"
],
"content": {
"property1": null,
"property2": null
},
"variableSchema": [
{}
],
"compliance": {
"property1": null,
"property2": null
},
"usageCount": 0,
"lastUsedAt": "2019-08-24T14:15:22Z",
"isActive": true,
"isDefault": true,
"version": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}